import { getDefaultExportFromCjs } from "../../../../../_virtual/_commonjsHelpers.mjs";
import { __module as propTypes } from "../../../../../_virtual/index.mjs";
import { __require as requireReactIs } from "../../../react-is@16.13.1/node_modules/react-is/index.mjs";
import { __require as requireFactoryWithTypeCheckers } from "./factoryWithTypeCheckers.mjs";
import { __require as requireFactoryWithThrowingShims } from "./factoryWithThrowingShims.mjs";
if (process.env.NODE_ENV !== "production") {
  var ReactIs = requireReactIs();
  var throwOnDirectAccess = true;
  propTypes.exports = requireFactoryWithTypeCheckers()(ReactIs.isElement, throwOnDirectAccess);
} else {
  propTypes.exports = requireFactoryWithThrowingShims()();
}
var propTypesExports = propTypes.exports;
const PropTypes = /* @__PURE__ */ getDefaultExportFromCjs(propTypesExports);
export {
  PropTypes as default
};
